GET /templates/email/list

braze.com

Summary: List Available Email Templates
Operation ID: listAvailableEmailTemplates
Auth: unknown
Description

Use this endpoint to get a list of available templates in your Braze account. Use the Template REST APIs to programmatically manage the email templates that you have stored on the Braze dashboard, on the Templates & Media page. Braze provides two endpoints for creating and updating your email templates. ### Successful Response Properties ```json { "count": number of templates returned "templates": [template with the following properties]: "email_template_id": (string) your email template's API Identifier, "template_name": (string) the name of your email template, "created_at": (string, in ISO 8601), "updated_at": (string, in ISO 8601), "tags": (array of strings) tags appended to the template } ```

Parameters (4)

limit (string, query, optional)

(Optional) Positive Number Maximum number of templates to retrieve, default to 100 if not provided, maximum acceptable value is 1000.

modified_after (string, query, optional)

(Optional) String in ISO 8601 Retrieve only templates updated at or after the given time.

modified_before (string, query, optional)

(Optional) String in ISO 8601 Retrieve only templates updated at or before the given time

offset (string, query, optional)

(Optional) Positive Number Number of templates to skip before returning rest of the templates that fit the search criteria.

No probe data for this endpoint yet.